<?php

// Require
require_once 'Doctrine/Common/Cache/autoload.php';
require_once 'Doctrine/Common/EventManager/autoload.php';
require_once 'Doctrine/Deprecations/autoload.php';
require_once 'Psr/Cache/autoload.php';
require_once 'Psr/Log/autoload.php';

// Suggest
if (stream_resolve_include_path('Symfony/Component/Console/autoload.php')) { include_once 'Symfony/Component/Console/autoload.php'; }

// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
// this is an autogenerated file - do not edit
spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
                'doctrine\\dbal\\arrayparameters\\exception' => '/ArrayParameters/Exception.php',
                'doctrine\\dbal\\arrayparameters\\exception\\missingnamedparameter' => '/ArrayParameters/Exception/MissingNamedParameter.php',
                'doctrine\\dbal\\arrayparameters\\exception\\missingpositionalparameter' => '/ArrayParameters/Exception/MissingPositionalParameter.php',
                'doctrine\\dbal\\cache\\arrayresult' => '/Cache/ArrayResult.php',
                'doctrine\\dbal\\cache\\cacheexception' => '/Cache/CacheException.php',
                'doctrine\\dbal\\cache\\querycacheprofile' => '/Cache/QueryCacheProfile.php',
                'doctrine\\dbal\\columncase' => '/ColumnCase.php',
                'doctrine\\dbal\\configuration' => '/Configuration.php',
                'doctrine\\dbal\\connection' => '/Connection.php',
                'doctrine\\dbal\\connectionexception' => '/ConnectionException.php',
                'doctrine\\dbal\\connections\\primaryreadreplicaconnection' => '/Connections/PrimaryReadReplicaConnection.php',
                'doctrine\\dbal\\driver' => '/Driver.php',
                'doctrine\\dbal\\driver\\abstractdb2driver' => '/Driver/AbstractDB2Driver.php',
                'doctrine\\dbal\\driver\\abstractexception' => '/Driver/AbstractException.php',
                'doctrine\\dbal\\driver\\abstractmysqldriver' => '/Driver/AbstractMySQLDriver.php',
                'doctrine\\dbal\\driver\\abstractoracledriver' => '/Driver/AbstractOracleDriver.php',
                'doctrine\\dbal\\driver\\abstractoracledriver\\easyconnectstring' => '/Driver/AbstractOracleDriver/EasyConnectString.php',
                'doctrine\\dbal\\driver\\abstractpostgresqldriver' => '/Driver/AbstractPostgreSQLDriver.php',
                'doctrine\\dbal\\driver\\abstractsqlitedriver' => '/Driver/AbstractSQLiteDriver.php',
                'doctrine\\dbal\\driver\\abstractsqlserverdriver' => '/Driver/AbstractSQLServerDriver.php',
                'doctrine\\dbal\\driver\\abstractsqlserverdriver\\exception\\portwithouthost' => '/Driver/AbstractSQLServerDriver/Exception/PortWithoutHost.php',
                'doctrine\\dbal\\driver\\api\\exceptionconverter' => '/Driver/API/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\ibmdb2\\exceptionconverter' => '/Driver/API/IBMDB2/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\mysql\\exceptionconverter' => '/Driver/API/MySQL/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\oci\\exceptionconverter' => '/Driver/API/OCI/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\postgresql\\exceptionconverter' => '/Driver/API/PostgreSQL/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\sqlite\\exceptionconverter' => '/Driver/API/SQLite/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\api\\sqlite\\userdefinedfunctions' => '/Driver/API/SQLite/UserDefinedFunctions.php',
                'doctrine\\dbal\\driver\\api\\sqlsrv\\exceptionconverter' => '/Driver/API/SQLSrv/ExceptionConverter.php',
                'doctrine\\dbal\\driver\\connection' => '/Driver/Connection.php',
                'doctrine\\dbal\\driver\\exception' => '/Driver/Exception.php',
                'doctrine\\dbal\\driver\\exception\\unknownparametertype' => '/Driver/Exception/UnknownParameterType.php',
                'doctrine\\dbal\\driver\\fetchutils' => '/Driver/FetchUtils.php',
                'doctrine\\dbal\\driver\\ibmdb2\\connection' => '/Driver/IBMDB2/Connection.php',
                'doctrine\\dbal\\driver\\ibmdb2\\datasourcename' => '/Driver/IBMDB2/DataSourceName.php',
                'doctrine\\dbal\\driver\\ibmdb2\\driver' => '/Driver/IBMDB2/Driver.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\cannotcopystreamtostream' => '/Driver/IBMDB2/Exception/CannotCopyStreamToStream.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\cannotcreatetemporaryfile' => '/Driver/IBMDB2/Exception/CannotCreateTemporaryFile.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\connectionerror' => '/Driver/IBMDB2/Exception/ConnectionError.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\connectionfailed' => '/Driver/IBMDB2/Exception/ConnectionFailed.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\factory' => '/Driver/IBMDB2/Exception/Factory.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\preparefailed' => '/Driver/IBMDB2/Exception/PrepareFailed.php',
                'doctrine\\dbal\\driver\\ibmdb2\\exception\\statementerror' => '/Driver/IBMDB2/Exception/StatementError.php',
                'doctrine\\dbal\\driver\\ibmdb2\\result' => '/Driver/IBMDB2/Result.php',
                'doctrine\\dbal\\driver\\ibmdb2\\statement' => '/Driver/IBMDB2/Statement.php',
                'doctrine\\dbal\\driver\\middleware' => '/Driver/Middleware.php',
                'doctrine\\dbal\\driver\\middleware\\abstractconnectionmiddleware' => '/Driver/Middleware/AbstractConnectionMiddleware.php',
                'doctrine\\dbal\\driver\\middleware\\abstractdrivermiddleware' => '/Driver/Middleware/AbstractDriverMiddleware.php',
                'doctrine\\dbal\\driver\\middleware\\abstractresultmiddleware' => '/Driver/Middleware/AbstractResultMiddleware.php',
                'doctrine\\dbal\\driver\\middleware\\abstractstatementmiddleware' => '/Driver/Middleware/AbstractStatementMiddleware.php',
                'doctrine\\dbal\\driver\\mysqli\\connection' => '/Driver/Mysqli/Connection.php',
                'doctrine\\dbal\\driver\\mysqli\\driver' => '/Driver/Mysqli/Driver.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\connectionerror' => '/Driver/Mysqli/Exception/ConnectionError.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\connectionfailed' => '/Driver/Mysqli/Exception/ConnectionFailed.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\failedreadingstreamoffset' => '/Driver/Mysqli/Exception/FailedReadingStreamOffset.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\hostrequired' => '/Driver/Mysqli/Exception/HostRequired.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\invalidcharset' => '/Driver/Mysqli/Exception/InvalidCharset.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\invalidoption' => '/Driver/Mysqli/Exception/InvalidOption.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\nonstreamresourceusedaslargeobject' => '/Driver/Mysqli/Exception/NonStreamResourceUsedAsLargeObject.php',
                'doctrine\\dbal\\driver\\mysqli\\exception\\statementerror' => '/Driver/Mysqli/Exception/StatementError.php',
                'doctrine\\dbal\\driver\\mysqli\\initializer' => '/Driver/Mysqli/Initializer.php',
                'doctrine\\dbal\\driver\\mysqli\\initializer\\charset' => '/Driver/Mysqli/Initializer/Charset.php',
                'doctrine\\dbal\\driver\\mysqli\\initializer\\options' => '/Driver/Mysqli/Initializer/Options.php',
                'doctrine\\dbal\\driver\\mysqli\\initializer\\secure' => '/Driver/Mysqli/Initializer/Secure.php',
                'doctrine\\dbal\\driver\\mysqli\\result' => '/Driver/Mysqli/Result.php',
                'doctrine\\dbal\\driver\\mysqli\\statement' => '/Driver/Mysqli/Statement.php',
                'doctrine\\dbal\\driver\\oci8\\connection' => '/Driver/OCI8/Connection.php',
                'doctrine\\dbal\\driver\\oci8\\convertpositionaltonamedplaceholders' => '/Driver/OCI8/ConvertPositionalToNamedPlaceholders.php',
                'doctrine\\dbal\\driver\\oci8\\driver' => '/Driver/OCI8/Driver.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\connectionfailed' => '/Driver/OCI8/Exception/ConnectionFailed.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\error' => '/Driver/OCI8/Exception/Error.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\nonterminatedstringliteral' => '/Driver/OCI8/Exception/NonTerminatedStringLiteral.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\sequencedoesnotexist' => '/Driver/OCI8/Exception/SequenceDoesNotExist.php',
                'doctrine\\dbal\\driver\\oci8\\exception\\unknownparameterindex' => '/Driver/OCI8/Exception/UnknownParameterIndex.php',
                'doctrine\\dbal\\driver\\oci8\\executionmode' => '/Driver/OCI8/ExecutionMode.php',
                'doctrine\\dbal\\driver\\oci8\\result' => '/Driver/OCI8/Result.php',
                'doctrine\\dbal\\driver\\oci8\\statement' => '/Driver/OCI8/Statement.php',
                'doctrine\\dbal\\driver\\pdo\\connection' => '/Driver/PDO/Connection.php',
                'doctrine\\dbal\\driver\\pdo\\exception' => '/Driver/PDO/Exception.php',
                'doctrine\\dbal\\driver\\pdo\\mysql\\driver' => '/Driver/PDO/MySQL/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\oci\\driver' => '/Driver/PDO/OCI/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\pgsql\\driver' => '/Driver/PDO/PgSQL/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\result' => '/Driver/PDO/Result.php',
                'doctrine\\dbal\\driver\\pdo\\sqlite\\driver' => '/Driver/PDO/SQLite/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\sqlsrv\\connection' => '/Driver/PDO/SQLSrv/Connection.php',
                'doctrine\\dbal\\driver\\pdo\\sqlsrv\\driver' => '/Driver/PDO/SQLSrv/Driver.php',
                'doctrine\\dbal\\driver\\pdo\\sqlsrv\\statement' => '/Driver/PDO/SQLSrv/Statement.php',
                'doctrine\\dbal\\driver\\pdo\\statement' => '/Driver/PDO/Statement.php',
                'doctrine\\dbal\\driver\\result' => '/Driver/Result.php',
                'doctrine\\dbal\\driver\\serverinfoawareconnection' => '/Driver/ServerInfoAwareConnection.php',
                'doctrine\\dbal\\driver\\sqlsrv\\connection' => '/Driver/SQLSrv/Connection.php',
                'doctrine\\dbal\\driver\\sqlsrv\\driver' => '/Driver/SQLSrv/Driver.php',
                'doctrine\\dbal\\driver\\sqlsrv\\exception\\error' => '/Driver/SQLSrv/Exception/Error.php',
                'doctrine\\dbal\\driver\\sqlsrv\\result' => '/Driver/SQLSrv/Result.php',
                'doctrine\\dbal\\driver\\sqlsrv\\statement' => '/Driver/SQLSrv/Statement.php',
                'doctrine\\dbal\\driver\\statement' => '/Driver/Statement.php',
                'doctrine\\dbal\\drivermanager' => '/DriverManager.php',
                'doctrine\\dbal\\event\\connectioneventargs' => '/Event/ConnectionEventArgs.php',
                'doctrine\\dbal\\event\\listeners\\oraclesessioninit' => '/Event/Listeners/OracleSessionInit.php',
                'doctrine\\dbal\\event\\listeners\\sqlitesessioninit' => '/Event/Listeners/SQLiteSessionInit.php',
                'doctrine\\dbal\\event\\listeners\\sqlsessioninit' => '/Event/Listeners/SQLSessionInit.php',
                'doctrine\\dbal\\event\\schemaaltertableaddcolumneventargs' => '/Event/SchemaAlterTableAddColumnEventArgs.php',
                'doctrine\\dbal\\event\\schemaaltertablechangecolumneventargs' => '/Event/SchemaAlterTableChangeColumnEventArgs.php',
                'doctrine\\dbal\\event\\schemaaltertableeventargs' => '/Event/SchemaAlterTableEventArgs.php',
                'doctrine\\dbal\\event\\schemaaltertableremovecolumneventargs' => '/Event/SchemaAlterTableRemoveColumnEventArgs.php',
                'doctrine\\dbal\\event\\schemaaltertablerenamecolumneventargs' => '/Event/SchemaAlterTableRenameColumnEventArgs.php',
                'doctrine\\dbal\\event\\schemacolumndefinitioneventargs' => '/Event/SchemaColumnDefinitionEventArgs.php',
                'doctrine\\dbal\\event\\schemacreatetablecolumneventargs' => '/Event/SchemaCreateTableColumnEventArgs.php',
                'doctrine\\dbal\\event\\schemacreatetableeventargs' => '/Event/SchemaCreateTableEventArgs.php',
                'doctrine\\dbal\\event\\schemadroptableeventargs' => '/Event/SchemaDropTableEventArgs.php',
                'doctrine\\dbal\\event\\schemaeventargs' => '/Event/SchemaEventArgs.php',
                'doctrine\\dbal\\event\\schemaindexdefinitioneventargs' => '/Event/SchemaIndexDefinitionEventArgs.php',
                'doctrine\\dbal\\event\\transactionbegineventargs' => '/Event/TransactionBeginEventArgs.php',
                'doctrine\\dbal\\event\\transactioncommiteventargs' => '/Event/TransactionCommitEventArgs.php',
                'doctrine\\dbal\\event\\transactioneventargs' => '/Event/TransactionEventArgs.php',
                'doctrine\\dbal\\event\\transactionrollbackeventargs' => '/Event/TransactionRollBackEventArgs.php',
                'doctrine\\dbal\\events' => '/Events.php',
                'doctrine\\dbal\\exception' => '/Exception.php',
                'doctrine\\dbal\\exception\\connectionexception' => '/Exception/ConnectionException.php',
                'doctrine\\dbal\\exception\\connectionlost' => '/Exception/ConnectionLost.php',
                'doctrine\\dbal\\exception\\constraintviolationexception' => '/Exception/ConstraintViolationException.php',
                'doctrine\\dbal\\exception\\databasedoesnotexist' => '/Exception/DatabaseDoesNotExist.php',
                'doctrine\\dbal\\exception\\databaseobjectexistsexception' => '/Exception/DatabaseObjectExistsException.php',
                'doctrine\\dbal\\exception\\databaseobjectnotfoundexception' => '/Exception/DatabaseObjectNotFoundException.php',
                'doctrine\\dbal\\exception\\databaserequired' => '/Exception/DatabaseRequired.php',
                'doctrine\\dbal\\exception\\deadlockexception' => '/Exception/DeadlockException.php',
                'doctrine\\dbal\\exception\\driverexception' => '/Exception/DriverException.php',
                'doctrine\\dbal\\exception\\foreignkeyconstraintviolationexception' => '/Exception/ForeignKeyConstraintViolationException.php',
                'doctrine\\dbal\\exception\\invalidargumentexception' => '/Exception/InvalidArgumentException.php',
                'doctrine\\dbal\\exception\\invalidfieldnameexception' => '/Exception/InvalidFieldNameException.php',
                'doctrine\\dbal\\exception\\invalidlockmode' => '/Exception/InvalidLockMode.php',
                'doctrine\\dbal\\exception\\lockwaittimeoutexception' => '/Exception/LockWaitTimeoutException.php',
                'doctrine\\dbal\\exception\\nokeyvalue' => '/Exception/NoKeyValue.php',
                'doctrine\\dbal\\exception\\nonuniquefieldnameexception' => '/Exception/NonUniqueFieldNameException.php',
                'doctrine\\dbal\\exception\\notnullconstraintviolationexception' => '/Exception/NotNullConstraintViolationException.php',
                'doctrine\\dbal\\exception\\readonlyexception' => '/Exception/ReadOnlyException.php',
                'doctrine\\dbal\\exception\\retryableexception' => '/Exception/RetryableException.php',
                'doctrine\\dbal\\exception\\schemadoesnotexist' => '/Exception/SchemaDoesNotExist.php',
                'doctrine\\dbal\\exception\\serverexception' => '/Exception/ServerException.php',
                'doctrine\\dbal\\exception\\syntaxerrorexception' => '/Exception/SyntaxErrorException.php',
                'doctrine\\dbal\\exception\\tableexistsexception' => '/Exception/TableExistsException.php',
                'doctrine\\dbal\\exception\\tablenotfoundexception' => '/Exception/TableNotFoundException.php',
                'doctrine\\dbal\\exception\\uniqueconstraintviolationexception' => '/Exception/UniqueConstraintViolationException.php',
                'doctrine\\dbal\\expandarrayparameters' => '/ExpandArrayParameters.php',
                'doctrine\\dbal\\fetchmode' => '/FetchMode.php',
                'doctrine\\dbal\\id\\tablegenerator' => '/Id/TableGenerator.php',
                'doctrine\\dbal\\id\\tablegeneratorschemavisitor' => '/Id/TableGeneratorSchemaVisitor.php',
                'doctrine\\dbal\\lockmode' => '/LockMode.php',
                'doctrine\\dbal\\logging\\connection' => '/Logging/Connection.php',
                'doctrine\\dbal\\logging\\debugstack' => '/Logging/DebugStack.php',
                'doctrine\\dbal\\logging\\driver' => '/Logging/Driver.php',
                'doctrine\\dbal\\logging\\loggerchain' => '/Logging/LoggerChain.php',
                'doctrine\\dbal\\logging\\middleware' => '/Logging/Middleware.php',
                'doctrine\\dbal\\logging\\sqllogger' => '/Logging/SQLLogger.php',
                'doctrine\\dbal\\logging\\statement' => '/Logging/Statement.php',
                'doctrine\\dbal\\parametertype' => '/ParameterType.php',
                'doctrine\\dbal\\platforms\\abstractmysqlplatform' => '/Platforms/AbstractMySQLPlatform.php',
                'doctrine\\dbal\\platforms\\abstractplatform' => '/Platforms/AbstractPlatform.php',
                'doctrine\\dbal\\platforms\\dateintervalunit' => '/Platforms/DateIntervalUnit.php',
                'doctrine\\dbal\\platforms\\db2platform' => '/Platforms/DB2Platform.php',
                'doctrine\\dbal\\platforms\\keywords\\db2keywords' => '/Platforms/Keywords/DB2Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\keywordlist' => '/Platforms/Keywords/KeywordList.php',
                'doctrine\\dbal\\platforms\\keywords\\mariadb102keywords' => '/Platforms/Keywords/MariaDb102Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\mariadbkeywords' => '/Platforms/Keywords/MariaDBKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\mysql57keywords' => '/Platforms/Keywords/MySQL57Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\mysql80keywords' => '/Platforms/Keywords/MySQL80Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\mysqlkeywords' => '/Platforms/Keywords/MySQLKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\oraclekeywords' => '/Platforms/Keywords/OracleKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\postgresql100keywords' => '/Platforms/Keywords/PostgreSQL100Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\postgresql94keywords' => '/Platforms/Keywords/PostgreSQL94Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\postgresqlkeywords' => '/Platforms/Keywords/PostgreSQLKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\reservedkeywordsvalidator' => '/Platforms/Keywords/ReservedKeywordsValidator.php',
                'doctrine\\dbal\\platforms\\keywords\\sqlitekeywords' => '/Platforms/Keywords/SQLiteKeywords.php',
                'doctrine\\dbal\\platforms\\keywords\\sqlserver2012keywords' => '/Platforms/Keywords/SQLServer2012Keywords.php',
                'doctrine\\dbal\\platforms\\keywords\\sqlserverkeywords' => '/Platforms/Keywords/SQLServerKeywords.php',
                'doctrine\\dbal\\platforms\\mariadb1027platform' => '/Platforms/MariaDb1027Platform.php',
                'doctrine\\dbal\\platforms\\mariadbplatform' => '/Platforms/MariaDBPlatform.php',
                'doctrine\\dbal\\platforms\\mysql57platform' => '/Platforms/MySQL57Platform.php',
                'doctrine\\dbal\\platforms\\mysql80platform' => '/Platforms/MySQL80Platform.php',
                'doctrine\\dbal\\platforms\\mysql\\collationmetadataprovider' => '/Platforms/MySQL/CollationMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\collationmetadataprovider\\cachingcollationmetadataprovider' => '/Platforms/MySQL/CollationMetadataProvider/CachingCollationMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\collationmetadataprovider\\connectioncollationmetadataprovider' => '/Platforms/MySQL/CollationMetadataProvider/ConnectionCollationMetadataProvider.php',
                'doctrine\\dbal\\platforms\\mysql\\comparator' => '/Platforms/MySQL/Comparator.php',
                'doctrine\\dbal\\platforms\\mysqlplatform' => '/Platforms/MySQLPlatform.php',
                'doctrine\\dbal\\platforms\\oracleplatform' => '/Platforms/OraclePlatform.php',
                'doctrine\\dbal\\platforms\\postgresql100platform' => '/Platforms/PostgreSQL100Platform.php',
                'doctrine\\dbal\\platforms\\postgresql94platform' => '/Platforms/PostgreSQL94Platform.php',
                'doctrine\\dbal\\platforms\\postgresqlplatform' => '/Platforms/PostgreSQLPlatform.php',
                'doctrine\\dbal\\platforms\\sqlite\\comparator' => '/Platforms/SQLite/Comparator.php',
                'doctrine\\dbal\\platforms\\sqliteplatform' => '/Platforms/SqlitePlatform.php',
                'doctrine\\dbal\\platforms\\sqlserver2012platform' => '/Platforms/SQLServer2012Platform.php',
                'doctrine\\dbal\\platforms\\sqlserver\\comparator' => '/Platforms/SQLServer/Comparator.php',
                'doctrine\\dbal\\platforms\\sqlserverplatform' => '/Platforms/SQLServerPlatform.php',
                'doctrine\\dbal\\platforms\\trimmode' => '/Platforms/TrimMode.php',
                'doctrine\\dbal\\portability\\connection' => '/Portability/Connection.php',
                'doctrine\\dbal\\portability\\converter' => '/Portability/Converter.php',
                'doctrine\\dbal\\portability\\driver' => '/Portability/Driver.php',
                'doctrine\\dbal\\portability\\middleware' => '/Portability/Middleware.php',
                'doctrine\\dbal\\portability\\optimizeflags' => '/Portability/OptimizeFlags.php',
                'doctrine\\dbal\\portability\\result' => '/Portability/Result.php',
                'doctrine\\dbal\\portability\\statement' => '/Portability/Statement.php',
                'doctrine\\dbal\\query' => '/Query.php',
                'doctrine\\dbal\\query\\expression\\compositeexpression' => '/Query/Expression/CompositeExpression.php',
                'doctrine\\dbal\\query\\expression\\expressionbuilder' => '/Query/Expression/ExpressionBuilder.php',
                'doctrine\\dbal\\query\\querybuilder' => '/Query/QueryBuilder.php',
                'doctrine\\dbal\\query\\queryexception' => '/Query/QueryException.php',
                'doctrine\\dbal\\result' => '/Result.php',
                'doctrine\\dbal\\schema\\abstractasset' => '/Schema/AbstractAsset.php',
                'doctrine\\dbal\\schema\\abstractschemamanager' => '/Schema/AbstractSchemaManager.php',
                'doctrine\\dbal\\schema\\column' => '/Schema/Column.php',
                'doctrine\\dbal\\schema\\columndiff' => '/Schema/ColumnDiff.php',
                'doctrine\\dbal\\schema\\comparator' => '/Schema/Comparator.php',
                'doctrine\\dbal\\schema\\constraint' => '/Schema/Constraint.php',
                'doctrine\\dbal\\schema\\db2schemamanager' => '/Schema/DB2SchemaManager.php',
                'doctrine\\dbal\\schema\\exception\\invalidtablename' => '/Schema/Exception/InvalidTableName.php',
                'doctrine\\dbal\\schema\\exception\\unknowncolumnoption' => '/Schema/Exception/UnknownColumnOption.php',
                'doctrine\\dbal\\schema\\foreignkeyconstraint' => '/Schema/ForeignKeyConstraint.php',
                'doctrine\\dbal\\schema\\identifier' => '/Schema/Identifier.php',
                'doctrine\\dbal\\schema\\index' => '/Schema/Index.php',
                'doctrine\\dbal\\schema\\mysqlschemamanager' => '/Schema/MySQLSchemaManager.php',
                'doctrine\\dbal\\schema\\oracleschemamanager' => '/Schema/OracleSchemaManager.php',
                'doctrine\\dbal\\schema\\postgresqlschemamanager' => '/Schema/PostgreSQLSchemaManager.php',
                'doctrine\\dbal\\schema\\schema' => '/Schema/Schema.php',
                'doctrine\\dbal\\schema\\schemaconfig' => '/Schema/SchemaConfig.php',
                'doctrine\\dbal\\schema\\schemadiff' => '/Schema/SchemaDiff.php',
                'doctrine\\dbal\\schema\\schemaexception' => '/Schema/SchemaException.php',
                'doctrine\\dbal\\schema\\sequence' => '/Schema/Sequence.php',
                'doctrine\\dbal\\schema\\sqliteschemamanager' => '/Schema/SqliteSchemaManager.php',
                'doctrine\\dbal\\schema\\sqlserverschemamanager' => '/Schema/SQLServerSchemaManager.php',
                'doctrine\\dbal\\schema\\table' => '/Schema/Table.php',
                'doctrine\\dbal\\schema\\tablediff' => '/Schema/TableDiff.php',
                'doctrine\\dbal\\schema\\uniqueconstraint' => '/Schema/UniqueConstraint.php',
                'doctrine\\dbal\\schema\\view' => '/Schema/View.php',
                'doctrine\\dbal\\schema\\visitor\\abstractvisitor' => '/Schema/Visitor/AbstractVisitor.php',
                'doctrine\\dbal\\schema\\visitor\\createschemasqlcollector' => '/Schema/Visitor/CreateSchemaSqlCollector.php',
                'doctrine\\dbal\\schema\\visitor\\dropschemasqlcollector' => '/Schema/Visitor/DropSchemaSqlCollector.php',
                'doctrine\\dbal\\schema\\visitor\\graphviz' => '/Schema/Visitor/Graphviz.php',
                'doctrine\\dbal\\schema\\visitor\\namespacevisitor' => '/Schema/Visitor/NamespaceVisitor.php',
                'doctrine\\dbal\\schema\\visitor\\removenamespacedassets' => '/Schema/Visitor/RemoveNamespacedAssets.php',
                'doctrine\\dbal\\schema\\visitor\\visitor' => '/Schema/Visitor/Visitor.php',
                'doctrine\\dbal\\sql\\builder\\createschemaobjectssqlbuilder' => '/SQL/Builder/CreateSchemaObjectsSQLBuilder.php',
                'doctrine\\dbal\\sql\\builder\\dropschemaobjectssqlbuilder' => '/SQL/Builder/DropSchemaObjectsSQLBuilder.php',
                'doctrine\\dbal\\sql\\parser' => '/SQL/Parser.php',
                'doctrine\\dbal\\sql\\parser\\exception' => '/SQL/Parser/Exception.php',
                'doctrine\\dbal\\sql\\parser\\exception\\regularexpressionerror' => '/SQL/Parser/Exception/RegularExpressionError.php',
                'doctrine\\dbal\\sql\\parser\\visitor' => '/SQL/Parser/Visitor.php',
                'doctrine\\dbal\\statement' => '/Statement.php',
                'doctrine\\dbal\\tools\\console\\command\\reservedwordscommand' => '/Tools/Console/Command/ReservedWordsCommand.php',
                'doctrine\\dbal\\tools\\console\\command\\runsqlcommand' => '/Tools/Console/Command/RunSqlCommand.php',
                'doctrine\\dbal\\tools\\console\\connectionnotfound' => '/Tools/Console/ConnectionNotFound.php',
                'doctrine\\dbal\\tools\\console\\connectionprovider' => '/Tools/Console/ConnectionProvider.php',
                'doctrine\\dbal\\tools\\console\\connectionprovider\\singleconnectionprovider' => '/Tools/Console/ConnectionProvider/SingleConnectionProvider.php',
                'doctrine\\dbal\\tools\\console\\consolerunner' => '/Tools/Console/ConsoleRunner.php',
                'doctrine\\dbal\\transactionisolationlevel' => '/TransactionIsolationLevel.php',
                'doctrine\\dbal\\types\\arraytype' => '/Types/ArrayType.php',
                'doctrine\\dbal\\types\\asciistringtype' => '/Types/AsciiStringType.php',
                'doctrine\\dbal\\types\\biginttype' => '/Types/BigIntType.php',
                'doctrine\\dbal\\types\\binarytype' => '/Types/BinaryType.php',
                'doctrine\\dbal\\types\\blobtype' => '/Types/BlobType.php',
                'doctrine\\dbal\\types\\booleantype' => '/Types/BooleanType.php',
                'doctrine\\dbal\\types\\conversionexception' => '/Types/ConversionException.php',
                'doctrine\\dbal\\types\\dateimmutabletype' => '/Types/DateImmutableType.php',
                'doctrine\\dbal\\types\\dateintervaltype' => '/Types/DateIntervalType.php',
                'doctrine\\dbal\\types\\datetimeimmutabletype' => '/Types/DateTimeImmutableType.php',
                'doctrine\\dbal\\types\\datetimetype' => '/Types/DateTimeType.php',
                'doctrine\\dbal\\types\\datetimetzimmutabletype' => '/Types/DateTimeTzImmutableType.php',
                'doctrine\\dbal\\types\\datetimetztype' => '/Types/DateTimeTzType.php',
                'doctrine\\dbal\\types\\datetype' => '/Types/DateType.php',
                'doctrine\\dbal\\types\\decimaltype' => '/Types/DecimalType.php',
                'doctrine\\dbal\\types\\floattype' => '/Types/FloatType.php',
                'doctrine\\dbal\\types\\guidtype' => '/Types/GuidType.php',
                'doctrine\\dbal\\types\\integertype' => '/Types/IntegerType.php',
                'doctrine\\dbal\\types\\jsontype' => '/Types/JsonType.php',
                'doctrine\\dbal\\types\\objecttype' => '/Types/ObjectType.php',
                'doctrine\\dbal\\types\\phpdatetimemappingtype' => '/Types/PhpDateTimeMappingType.php',
                'doctrine\\dbal\\types\\phpintegermappingtype' => '/Types/PhpIntegerMappingType.php',
                'doctrine\\dbal\\types\\simplearraytype' => '/Types/SimpleArrayType.php',
                'doctrine\\dbal\\types\\smallinttype' => '/Types/SmallIntType.php',
                'doctrine\\dbal\\types\\stringtype' => '/Types/StringType.php',
                'doctrine\\dbal\\types\\texttype' => '/Types/TextType.php',
                'doctrine\\dbal\\types\\timeimmutabletype' => '/Types/TimeImmutableType.php',
                'doctrine\\dbal\\types\\timetype' => '/Types/TimeType.php',
                'doctrine\\dbal\\types\\type' => '/Types/Type.php',
                'doctrine\\dbal\\types\\typeregistry' => '/Types/TypeRegistry.php',
                'doctrine\\dbal\\types\\types' => '/Types/Types.php',
                'doctrine\\dbal\\types\\vardatetimeimmutabletype' => '/Types/VarDateTimeImmutableType.php',
                'doctrine\\dbal\\types\\vardatetimetype' => '/Types/VarDateTimeType.php',
                'doctrine\\dbal\\versionawareplatformdriver' => '/VersionAwarePlatformDriver.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    },
    true,
    false
);
// @codeCoverageIgnoreEnd

// Files
